Uploaded image for project: 'MariaDB ColumnStore'
  1. MariaDB ColumnStore
  2. MCOL-4824

broken dependencies in Columnstore packages

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: Icebox
    • Component/s: installation
    • Labels:
      None
    • Environment:
      SLES 12, 15, RHEL8

      Description

      1. Configure 10.4 MariaDB Enterprise repositories
      2. Install all server and plugin packages

      sudo zypper -n install MariaDB-backup MariaDB-columnstore-engine MariaDB-cracklib-password-check MariaDB-gssapi-server MariaDB-rocksdb-engine MariaDB-client MariaDB-client-debuginfo MariaDB-common MariaDB-common-debuginfo MariaDB-devel MariaDB-devel-debuginfo MariaDB-server MariaDB-server-debuginfo MariaDB-shared MariaDB-shared-debuginfo
      

      3. Remove server packages

      sudo zypper -n remove  MariaDB-server
      

      4. Configure 10.5.11 CI repos

      [mariadb]
      name=mariadb
      enabled=1
      autorefresh=1
      baseurl=https://engineering:<password>@es-repo.mariadb.net/jenkins/ENTERPRISE/origin/10.5-enterprise/latest/RPMS/sles-12/
      type=rpm-md
      gpgcheck=0
      keeppackages=0
      

      5. Try to install new version

      sudo zypper -n install MariaDB-s3-engine MariaDB-columnstore-engine MariaDB-cracklib-password-check MariaDB-backup MariaDB-spider-engine MariaDB-gssapi-server MariaDB-rocksdb-engine MariaDB-client MariaDB-client-debuginfo MariaDB-common MariaDB-common-debuginfo MariaDB-devel MariaDB-devel-debuginfo MariaDB-server MariaDB-server-debuginfo MariaDB-shared MariaDB-shared-debuginfo | tee upgrade.log
      

      Installation fails:

      Resolving package dependencies...
       
      Problem: MariaDB-columnstore-engine-10.5.11_8_5.6.1-1.x86_64 conflicts with MariaDB-columnstore-libs provided by MariaDB-columnstore-libs-10.4.19_12-1.x86_64
       Solution 1: deinstallation of MariaDB-columnstore-libs-10.4.19_12-1.x86_64
       Solution 2: do not install MariaDB-columnstore-engine-10.5.11_8_5.6.1-1.x86_64
       
      Choose from above solutions by number or cancel [1/2/c] (c): c
      
      

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            tturenko Timofey Turenko
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:

                Git Integration